<template>
  <rui-form action="#" :errors="errors" :loading="loading" @submit.prevent="send">
    <rui-field input-id="title"
               label="Title"
               :error="errors ? 'Something is wrong' : null">
      <input id="title"
             v-model="inputs.title"
             type="text"
             name="name"
             required="required">
    </rui-field>
  </rui-form>
</template>

<script>
export default {
  data () {
    return {
      errors: null,
      loading: false,
      inputs: {
        title: 'My nice post',
      },
    }
  },
  methods: {
    send () {
      this.loading = true

      setTimeout(() => {
        this.errors = {
          // A single error
          error: 'Title is pretty lame',
        }
        this.loading = false
      }, 1000)
    },
  },
}
</script>
